## ffmpegthumbnailer-dmo 2.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(PACKAGE "ffmpegthumbnailer")
set(PACKAGE_VERSION_MAJOR 2)
set(PACKAGE_VERSION_MINOR 2)
set(PACKAGE_VERSION_PATCH 4)
set(PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})

set(CPACK_PACKAGE_NAME ${PACKAGE})
set(CPACK_PACKAGE_VERSION_MAJOR ${PACKAGE_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PACKAGE_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PACKAGE_VERSION_PATCH})
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_FILE_NAME $CPACK_PACKAGE_NAME)
set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}-bin")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_IGNORE_FILES "/build/;/debug/;/release/;/gfx/;/include/;/lib/;/.git/;/.vscode/;/src/tags;out-.*;/.*[.]sublime-.*;~$;${CPACK_SOURCE_IGNORE_FILES}")
set(CPACK_RESOURCE_FILE_README ${CMAKE_CURRENT_SOURCE_DIR}/README)
set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)

if (APPLE)
    set(MACOSX_RPATH ON)
endif ()

project(${PACKAGE} LANGUAGES C CXX)
include(CPack)
include(GNUInstallDirs)

set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_EXTENSIONS OFF)

option(ENABLE_SHARED "Build shared library" ON)
option(ENABLE_STATIC "Build static library" OFF)
option(ENABLE_TESTS "Build unit tests" ON)
option(ENABLE_GIO "Support for gio file uris" OFF)
option(ENABLE_THUMBNAILER "Register ffmpegthumbnailer as thumbnailer" OFF)
option(ENABLE_FULL_STATIC "Build fully static binary" OFF)
option(SANITIZE_ADDRESS "Build with address sanitizer (detect invalid memory access and memory leaks)" OFF)

if (SANITIZE_ADDRESS)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
endif ()

find_package(FFmpeg REQUIRED)
find_package(JPEG)
if (TARGET JPEG::JPEG)
    set(HAVE_JPEG ON)
endif ()

find_package(PNG)
if (TARGET PNG::PNG)
    set(HAVE_PNG ON)
endif ()

set(LIB_HDRS
    libffmpegthumbnailer/videothumbnailer.h
    libffmpegthumbnailer/videothumbnailerc.h
    libffmpegthumbnailer/imagetypes.h
    libffmpegthumbnailer/ffmpegthumbnailertypes.h
    libffmpegthumbnailer/ifilter.h
    libffmpegthumbnailer/videoframe.h
    libffmpegthumbnailer/filmstripfilter.h
)

add_library(libffmpegthumbnailerobj OBJECT
    libffmpegthumbnailer/moviedecoder.h
    libffmpegthumbnailer/moviedecoder.cpp
    libffmpegthumbnailer/imagewriter.h
    libffmpegthumbnailer/imagewriterfactory.h
    libffmpegthumbnailer/rgbwriter.h
    libffmpegthumbnailer/rgbwriter.cpp
    libffmpegthumbnailer/stringoperations.h
    libffmpegthumbnailer/stringoperations.cpp
    libffmpegthumbnailer/videothumbnailer.cpp
    libffmpegthumbnailer/videothumbnailerc.cpp
    libffmpegthumbnailer/ifilter.h
    libffmpegthumbnailer/videoframe.h
    libffmpegthumbnailer/histogram.h
    libffmpegthumbnailer/grayscalefilter.h
    libffmpegthumbnailer/filmstrip.h
    libffmpegthumbnailer/filmstripfilter.h
    libffmpegthumbnailer/filmstripfilter.cpp
)

target_link_libraries(libffmpegthumbnailerobj
    FFmpeg::avformat
    FFmpeg::avcodec
    FFmpeg::avutil
    FFmpeg::avfilter
    $<TARGET_NAME_IF_EXISTS:JPEG::JPEG>
    $<TARGET_NAME_IF_EXISTS:PNG::PNG>
)

# we use our own deprecated struct menbers, so disable the warning about it
set_source_files_properties(libffmpegthumbnailer/videothumbnailerc.cpp PROPERTIES COMPILE_FLAGS -Wno-deprecated-declarations)

set_target_properties(libffmpegthumbnailerobj PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_compile_definitions(libffmpegthumbnailerobj PRIVATE __STDC_CONSTANT_MACROS _FILE_OFFSET_BITS=64)
target_include_directories(libffmpegthumbnailerobj
    PRIVATE
        $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>
)

if (HAVE_JPEG)
    target_sources(libffmpegthumbnailerobj PRIVATE libffmpegthumbnailer/jpegwriter.h libffmpegthumbnailer/jpegwriter.cpp)
    target_include_directories(libffmpegthumbnailerobj PRIVATE ${JPEG_INCLUDE_DIR})
endif ()

if (HAVE_PNG)
    target_sources(libffmpegthumbnailerobj PRIVATE libffmpegthumbnailer/pngwriter.h libffmpegthumbnailer/pngwriter.cpp)
endif ()

set (FFMPEGTHUMBNAILER_SOVERSION_CURRENT 4)
set (FFMPEGTHUMBNAILER_SOVERSION_REVISION 15)
set (FFMPEGTHUMBNAILER_SOVERSION_AGE 1)

if (ENABLE_STATIC)
    add_library(libffmpegthumbnailerstatic STATIC $<TARGET_OBJECTS:libffmpegthumbnailerobj>)
    target_link_libraries(libffmpegthumbnailerstatic
        libffmpegthumbnailerobj
        $<$<BOOL:${ENABLE_GIO}>:${CMAKE_DL_LIBS}>
    )

    set_target_properties(libffmpegthumbnailerstatic PROPERTIES
        OUTPUT_NAME ffmpegthumbnailer
    )
    target_include_directories(libffmpegthumbnailerstatic
        PUBLIC
            $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    )
    set (STATIC_LIB libffmpegthumbnailerstatic)
endif ()

if (ENABLE_SHARED)
    add_library(libffmpegthumbnailer SHARED $<TARGET_OBJECTS:libffmpegthumbnailerobj>)
    target_link_libraries(libffmpegthumbnailer
        libffmpegthumbnailerobj
    )

    set_target_properties(libffmpegthumbnailer PROPERTIES
        OUTPUT_NAME ffmpegthumbnailer
        VERSION ${FFMPEGTHUMBNAILER_SOVERSION_CURRENT}.${FFMPEGTHUMBNAILER_SOVERSION_REVISION}.${FFMPEGTHUMBNAILER_SOVERSION_AGE}
        SOVERSION ${FFMPEGTHUMBNAILER_SOVERSION_CURRENT}
        PUBLIC_HEADER "${LIB_HDRS}"
        MACOSX_RPATH TRUE
    )
    target_include_directories(libffmpegthumbnailer
        PUBLIC
            $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    )
    set (SHARED_LIB libffmpegthumbnailer)
endif ()

ADD_EXECUTABLE(ffmpegthumbnailer main.cpp)
target_include_directories(ffmpegthumbnailer PRIVATE ${CMAKE_BINARY_DIR})
target_link_options(ffmpegthumbnailer
    PRIVATE
        $<$<AND:$<BOOL:${ENABLE_FULL_STATIC}>,$<OR:$<PLATFORM_ID:Linux>,$<PLATFORM_ID:Windows>>>:-static>
)

if (ENABLE_GIO)
    find_path(DL_INCLUDE dlfcn.h)
    target_include_directories(ffmpegthumbnailer PRIVATE ${DL_INCLUDE})
    target_link_libraries(ffmpegthumbnailer ${CMAKE_DL_LIBS})
endif ()

if (ENABLE_SHARED)
    target_link_libraries(ffmpegthumbnailer ${SHARED_LIB})
else ()
    target_link_libraries(ffmpegthumbnailer ${STATIC_LIB})
endif ()

install(TARGETS ffmpegthumbnailer ${STATIC_LIB} ${SHARED_LIB}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libffmpegthumbnailer
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/man/ffmpegthumbnailer.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install(FILES ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

if (ENABLE_THUMBNAILER)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dist/ffmpegthumbnailer.thumbnailer DESTINATION ${CMAKE_INSTALL_DATADIR}/thumbnailers)
endif ()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libffmpegthumbnailer.pc.in ${CMAKE_BINARY_DIR}/libffmpegthumbnailer.pc @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/CMakeUninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/CMakeUninstall.cmake)

if (ENABLE_TESTS)
    enable_testing()
    ADD_SUBDIRECTORY(test)
endif ()

message(STATUS "")
message(STATUS "CONFIGURATION SUMMARY")

if (HAVE_PNG)
    message(STATUS "png support          : enabled")
else ()
    message(STATUS "png support          : disabled")
endif ()

if (HAVE_JPEG)
    message(STATUS "jpeg support         : enabled")
else ()
    message(STATUS "jpeg support         : disabled")
endif ()

if (ENABLE_GIO)
    message(STATUS "gio support          : enabled")
else ()
    message(STATUS "gio support          : disabled")
endif ()

if (ENABLE_THUMBNAILER)
    message(STATUS "register thumbnailer : enabled")
else ()
    message(STATUS "register thumbnailer : disabled")
endif ()

if (ENABLE_TESTS)
    message(STATUS "unittests            : enabled")
else ()
    message(STATUS "unittests            : disabled")
endif ()

if (ENABLE_SHARED)
    message(STATUS "shared library       : enabled")
else ()
    message(STATUS "shared library       : disabled")
endif ()

if (ENABLE_STATIC)
    message(STATUS "static library       : enabled")
else ()
    message(STATUS "static library       : disabled")
endif ()

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    message(STATUS "debug mode           : enabled")
else ()
    message(STATUS "debug mode           : disabled")
endif ()

## ffmpegthumbnailer-dmo 2.2.2

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Oct 2019 23:24:25 +0200

ffmpegthumbnailer-dmo (1:2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Sep 2019 11:03:06 +0200

ffmpegthumbnailer-dmo (1:2.2.0-dmo5) unstable; urgency=medium

  * Rebuild agaisnt ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 18:41:25 +0200

ffmpegthumbnailer-dmo (1:2.2.0-dmo4) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Mar 2017 16:06:39 +0100

ffmpegthumbnailer-dmo (1:2.2.0-dmo3) unstable; urgency=medium

  * Remove unneeded application/x-quicktimeplayer and application/x-ms-wmv
    from previous packages.
  * Fix mjpeg thumbnails in patch 04_fix-mjpeg

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Sep 2016 16:34:40 +0200

ffmpegthumbnailer-dmo (1:2.2.0-dmo2) unstable; urgency=medium

  * Add the following mime-type in ffmpegthumbnailer.thumbnailer (Thanks to
    Raphaël Halimi).
    application/vnd.rn-realmedia
    application/x-quicktimeplayer
    application/x-ms-wmv

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 09 Sep 2016 15:39:29 +0200

ffmpegthumbnailer-dmo (1:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Aug 2016 15:24:30 +0200

ffmpegthumbnailer-dmo (1:2.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Aug 2016 14:37:42 +0200

ffmpegthumbnailer-dmo (1:2.1.1-dmo2) unstable; urgency=medium

  * Rebuild against libpng16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Apr 2016 15:52:39 +0200

ffmpegthumbnailer-dmo (1:2.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Feb 2016 21:52:58 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo6) unstable; urgency=medium

  * Replaces broken Debian ffmpeg 3.0 patch by upstream patch (Thanks to
    Raphaël Halimi for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Feb 2016 16:33:32 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo5) unstable; urgency=medium

  * Should Build-Depends on libavfilter-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2016 14:57:24 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo4) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2016 14:50:57 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo3) unstable; urgency=medium

  * Don't add mime support for video/mp2t in .desktop file, because this file
    isn't packaged. Instead add this mime type in the library.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Dec 2015 19:42:47 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo2) unstable; urgency=medium

  * Added video/mp2t as mime type.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Dec 2015 15:40:40 +0100

ffmpegthumbnailer-dmo (1:2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 26 Sep 2015 18:04:20 +0200

ffmpegthumbnailer-dmo (2.0.10-dmo3) unstable; urgency=medium

  * Add v5 to libffmpegthumbnailer4 package name.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Aug 2015 21:41:11 +0200

ffmpegthumbnailer-dmo (2.0.10-dmo2) unstable; urgency=medium

  * Build with GCC 5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Aug 2015 10:53:18 +0200

ffmpegthumbnailer-dmo (2.0.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Apr 2015 08:44:35 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo7) unstable; urgency=medium

  * Funny ? No. Rebuild against libjpeg62-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2014 19:27:02 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo6) unstable; urgency=medium

  * Second round to rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Oct 2014 19:17:32 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo5) unstable; urgency=medium

  * Rebuild against libjpeg-dev from libjpeg-turbo.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Sep 2014 08:22:25 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo4) unstable; urgency=medium

  * Rebuild against ffmpeg 2.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Sep 2014 09:03:01 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo3) unstable; urgency=medium

  * Rebuild against ffmpeg 2.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Dec 2013 11:28:45 +0100

ffmpegthumbnailer-dmo (2.0.8-dmo2) unstable; urgency=low

  * Compress package with xz.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Aug 2013 16:26:46 +0200

ffmpegthumbnailer-dmo (2.0.8-dmo1) unstable; urgency=low

  * New upstream release.
  * Build with --enable-thumbnailer.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Aug 2013 16:06:09 +0200

ffmpegthumbnailer (2.0.7-2) unstable; urgency=low

  * debian/control: remove alternate b-dep on libjpeg62-dev. Closes: #641454

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 18 Sep 2011 21:26:01 +0200

ffmpegthumbnailer (2.0.7-1) unstable; urgency=low

  * New upstream release:
    - fix build with libpng 1.5. Closes: #635944
  * debian/patches:
    - debian/patches/99_fix-FTBFS-libav-0.7.patch,
      debian/patches/02_fix-ftbfs-missing-include-NULL.patch,
      debian/patches/01_fix-ftbfs-as-needed.patch: dropped, included upstream.
    - debian/patches/series: dropped, now empty.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 01 Aug 2011 18:44:21 +0200



=== debian/control ===
Source: ffmpegthumbnailer-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 12), libavutil-dev, libavformat-dev,
 libavcodec-dev, libswscale-dev, libpng-dev, libjpeg62-turbo-dev, quilt,
 cmake, libavfilter-dev

Package: ffmpegthumbnailer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libglib2.0-0
Description: Fast and lightweight video thumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by
 file managers to create thumbnails for your video files. The thumbnailer
 uses ffmpeg to decode frames from the video files, so supported
 videoformats depend on the configuration flags of ffmpeg.
 .
 This package contains the ffmpegthumbnailer executable.

Package: libffmpegthumbnailer4v5
Architecture: any
Multi-Arch: same
Replaces: libffmpegthumbnailer4
Conflicts: libffmpegthumbnailer4
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by
 file managers to create thumbnails for your video files. The thumbnailer
 uses ffmpeg to decode frames from the video files, so supported
 videoformats depend on the configuration flags of ffmpeg.
 .
 This package contains the shared library for ffmpegthumbnailer framework.

Package: libffmpegthumbnailer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libffmpegthumbnailer4v5 (= ${binary:Version}), ${misc:Depends}
Description: Development files for ffmpegthumbnailer
 FFmpegthumbnailer is a lightweight video thumbnailer that can be used by
 file managers to create thumbnails for your video files. The thumbnailer
 uses ffmpeg to decode frames from the video files, so supported
 videoformats depend on the configuration flags of ffmpeg.
 .
 This package contains the development files distributed with ffmpegthumbnailer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-as-needed

%:
	dh $@ -Scmake --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE:STRING=Debug -DENABLE_TESTS:BOOL=OFF \
	-DENABLE_GIO:BOOL=ON -DENABLE_THUMBNAILER:BOOL=ON

=== debian/watch ===
version=3

opts="uversionmangle=s/ffmpegthumbnailer-//" \
https://github.com/dirkvdb/ffmpegthumbnailer/releases \
.*/ffmpegthumbnailer-(.*)\.tar.*

## ffmpegthumbnailer-dmo 2.2.2+git20220218

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 08:26:42 +0100

ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo1) unstable; urgency=medium

  * Git snapchot with fixes for ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jun 2022 08:09:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
-Standards-Version: 4.4.0
-Build-Depends: debhelper-compat (= 12), libavutil-dev, libavformat-dev,
- libavcodec-dev, libswscale-dev, libpng-dev, libjpeg62-turbo-dev, quilt,
- cmake, libavfilter-dev
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libpng-dev, libjpeg62-turbo-dev,
+ quilt, cmake, libavfilter-dev, ninja-build
 
 Package: ffmpegthumbnailer
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-as-needed

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE:STRING=Debug -DENABLE_TESTS:BOOL=OFF \
	-DENABLE_GIO:BOOL=ON -DENABLE_THUMBNAILER:BOOL=ON

override_dh_auto_test:

=== debian/watch ===
version=3

opts="uversionmangle=s/ffmpegthumbnailer-//" \
https://github.com/dirkvdb/ffmpegthumbnailer/tags \
.*/ffmpegthumbnailer-(.*)\.tar.*

## ffmpegthumbnailer-dmo 2.2.3

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.2.3-dmo2~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Oct 2025 16:25:36 +0200

ffmpegthumbnailer-dmo (1:2.2.3-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 17:54:56 +0200

ffmpegthumbnailer-dmo (1:2.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Sep 2024 08:21:30 +0200

ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo4) unstable; urgency=medium

  * Build with ffmpeg 7.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 13:54:56 +0200

ffmpegthumbnailer-dmo (1:2.2.2+git20220218-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 08:30:26 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-as-needed

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DENABLE_GIO=ON \
	-DENABLE_TESTS=OFF \
	-DENABLE_THUMBNAILER=ON

override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/ffmpegthumbnailer-//" \
https://github.com/dirkvdb/ffmpegthumbnailer/tags \
.*/ffmpegthumbnailer-(.*)\.tar.*

## ffmpegthumbnailer-dmo 2.2.4

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Nov 2025 00:32:27 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: dirkvdb
Project: ffmpegthumbnailer

## ffmpegthumbnailer-dmo 2.3.0

=== debian/changelog ===
ffmpegthumbnailer-dmo (1:2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Dec 2025 18:25:03 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DENABLE_GIO=ON \
	-DENABLE_TESTS=ON \
	-DENABLE_THUMBNAILER=ON \
	-DENABLE_AUDIO_THUMBNAILER=ON

#	exit 1
